# Inspection and Introspection

While we previously used [fields\_get()](https://www.odoo.com/documentation/16.0/developer/reference/backend/orm.html#odoo.models.Model.fields_get) to query a model and have been using an arbitrary model from the start, Odoo stores most model metadata inside a few meta-models which allows both querying the system and altering models and fields (with some limitations) on the fly over REST API.

<mark style="background-color:blue;">**Note**</mark>

1. [<mark style="background-color:blue;">Provides information about Odoo models via its various fields</mark>](/rest-api/inspection-and-introspection/ir.model.md) <mark style="background-color:blue;">(ir.model)</mark>
2. [<mark style="background-color:blue;">Provides information about the fields of Odoo models and allows adding custom fields without using Python code</mark>](/rest-api/inspection-and-introspection/ir.model.fields.md) <mark style="background-color:blue;">(ir.model.fields)</mark>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://synconics.gitbook.io/rest-api/inspection-and-introspection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
